Bug 450095 - dund doesn't support "-d" option & typo error in dund man page
dund doesn't support "-d" option & typo error in dund man page
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 07:37 EDT by Milos Malik
Modified: 2008-10-15 06:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 17:11:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-06-05 07:37:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
The man page of dund contains a typo error.

The dund binary does not support "-p" option, but supports "--pppd" option, which is claimed to be equivalent to "-p". Maybe there is a problem in getopt_long() arguments.

Version-Release number of selected component (if applicable):
bluez-utils-3.20-7

How reproducible:
Always


Steps to Reproduce:
1. man dund
2. search for "--channel"
3. dund -p

Actual Results:
steps 1 and 2:
       --channel -C <channel>
              RFCOMM channel

step 3:
dund: invalid option -- d


Expected Results:
step 1 and 2:
       --channel -P <channel>
              RFCOMM channel

step 3:
dund: option requires an argument -- d


Additional info:
Comment 2 Bastien Nocera 2008-10-14 17:11:54 EDT
Fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.